Ieframe.dll i niespełnione zależności


(Axadiw) #1

Witam,

krótko i zwięźle:

Problem dotyczy programu tlen.pl, oraz moorhunt (chociaz zapewne dotyczy wszysktich napisanych w .NET). Przy odpalaniu Moorhunta otrzymuję komunikat "Unable to find a version of the runtime to run this application".

Probowałem instalować frameworki 2.0, 3.0 i inne, lecz to nic nie pomogło (system - windows vista, z FW 3.0 wbudowanym).

Sprawdziłem program Moorhunt DependencyWalkerem, a ten (zresztą tak samo napisał dla tlena) oznajmił mi, że "At least one module has an unresolved import due to a missing export function in a delay-load dependent module.", oraz zaznaczył na czerwono iframe.dll, oraz shlwapi.dll

Oba pliki są w systemie, w wersji niezmienionej od czasu instalacji, probowalem je nawet wymieniać na te ze stron typu dll-files.com, lecz to tylko pogorszyło sprawę (syste, się nie odpalał - jedynie powrót do wcześniejszych ustawień pomagał).

Co z tymi plikami może być nie tak?? Google powiedziało mi, ze ci którzy mieli podobne problemy (nie w moorhuncie, lecz innych), pisali ze pomogło im reinstalowanie IE7, lecz w Viscie nie da się odinstalować IE7 ;/

Co radzicie, z góry dzięki za pomoc


(aero) #2

Witam.

Co do tlena, w starszych wersjach , które nie były przystosowane do IE7 taki błąd się pojawiał niestety, ale z najnowszym tlenem nie ma problemu :slight_smile:

Jaką masz wersję tlena ?


(Axadiw) #3

najnowszą(chyba sprzed paru miesiecy :slight_smile: ) testową 6.00.2.10

Lecz wiesz, bardziej mi na moorhuncie zalezy :slight_smile:

I tego błędu w tlenie nie poprawili, bo w zasadzie to nie wina tlena, tylko mojego komputera. Wszystkie programy kozystające z ieframe.dll pwenie mi się będą tak wywalać.